[arch-commits] Commit in facile/repos (6 files)

Tobias Powalowski tpowa at archlinux.org
Fri Sep 7 16:46:17 UTC 2012


    Date: Friday, September 7, 2012 @ 12:46:16
  Author: tpowa
Revision: 166401

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  facile/repos/extra-i686/PKGBUILD
    (from rev 166400, facile/trunk/PKGBUILD)
  facile/repos/extra-i686/ocaml-facile-ocaml-4.patch
    (from rev 166400, facile/trunk/ocaml-facile-ocaml-4.patch)
  facile/repos/extra-x86_64/PKGBUILD
    (from rev 166400, facile/trunk/PKGBUILD)
  facile/repos/extra-x86_64/ocaml-facile-ocaml-4.patch
    (from rev 166400, facile/trunk/ocaml-facile-ocaml-4.patch)
Deleted:
  facile/repos/extra-i686/PKGBUILD
  facile/repos/extra-x86_64/PKGBUILD

-----------------------------------------+
 extra-i686/PKGBUILD                     |   52 ++++++++++++++++--------------
 extra-i686/ocaml-facile-ocaml-4.patch   |   25 ++++++++++++++
 extra-x86_64/PKGBUILD                   |   52 ++++++++++++++++--------------
 extra-x86_64/ocaml-facile-ocaml-4.patch |   25 ++++++++++++++
 4 files changed, 108 insertions(+), 46 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2012-09-07 16:45:50 UTC (rev 166400)
+++ extra-i686/PKGBUILD	2012-09-07 16:46:16 UTC (rev 166401)
@@ -1,23 +0,0 @@
-# $Id$
-# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
-
-pkgname=facile
-pkgver=1.1
-pkgrel=13
-pkgdesc="A Functional Constraint Library"
-arch=(i686 x86_64)
-url="http://www.recherche.enac.fr/opti/facile/"
-license="LGPL"
-makedepends=('ocaml')
-depends=()
-source=(http://www.recherche.enac.fr/opti/facile/distrib/$pkgname-$pkgver.tar.gz)
-md5sums=('ab673e1fc0859a42bcb639a02c2d7e9e')
-
-build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure
-  make || return 1
-  mkdir -p $startdir/pkg/usr/lib/ocaml/facile
-  cd src
-  install -D -m 644 facile.cmxa facile.cmi facile.cma facile.a $startdir/pkg/usr/lib/ocaml/facile
-}

Copied: facile/repos/extra-i686/PKGBUILD (from rev 166400, facile/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2012-09-07 16:46:16 UTC (rev 166401)
@@ -0,0 +1,29 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=facile
+pkgver=1.1
+pkgrel=14
+pkgdesc="A Functional Constraint Library"
+arch=(i686 x86_64)
+url="http://www.recherche.enac.fr/opti/facile/"
+license="LGPL"
+makedepends=('ocaml')
+depends=()
+source=(http://www.recherche.enac.fr/opti/facile/distrib/$pkgname-$pkgver.tar.gz
+        ocaml-facile-ocaml-4.patch)
+
+md5sums=('ab673e1fc0859a42bcb639a02c2d7e9e')
+
+build() {
+  cd $startdir/src/$pkgname-$pkgver
+  # fix ocaml4
+  patch -Np1 -i ../ocaml-facile-ocaml-4.patch
+  ./configure
+  make || return 1
+  mkdir -p $startdir/pkg/usr/lib/ocaml/facile
+  cd src
+  install -D -m 644 facile.cmxa facile.cmi facile.cma facile.a $startdir/pkg/usr/lib/ocaml/facile
+}
+md5sums=('ab673e1fc0859a42bcb639a02c2d7e9e'
+         '1ffc2f08c9f1db8ef0d444ec06f82b79')

Copied: facile/repos/extra-i686/ocaml-facile-ocaml-4.patch (from rev 166400, facile/trunk/ocaml-facile-ocaml-4.patch)
===================================================================
--- extra-i686/ocaml-facile-ocaml-4.patch	                        (rev 0)
+++ extra-i686/ocaml-facile-ocaml-4.patch	2012-09-07 16:46:16 UTC (rev 166401)
@@ -0,0 +1,25 @@
+diff -ur facile-1.1.old/src/facile.mli facile-1.1/src/facile.mli
+--- facile-1.1.old/src/facile.mli	2004-09-08 10:51:02.000000000 +0100
++++ facile-1.1/src/facile.mli	2012-06-10 21:06:41.553916954 +0100
+@@ -127,7 +127,7 @@
+       module Hashtbl :
+ 	  sig
+ 	    type ('a, 'b) t
+-	    val create : int -> ('a, 'b) t
++	    val create : ?random:bool -> int -> ('a, 'b) t
+ 	    val get : ('a, 'b) t -> ('a, 'b) Hashtbl.t
+ 	    val add : ('a, 'b) t -> 'a -> 'b -> unit
+ 	    val find : ('a, 'b) t -> 'a -> 'b
+Binary files facile-1.1.old/src/fcl_data.cmi and facile-1.1/src/fcl_data.cmi differ
+diff -ur facile-1.1.old/src/fcl_data.mli facile-1.1/src/fcl_data.mli
+--- facile-1.1.old/src/fcl_data.mli	2004-09-08 10:51:02.000000000 +0100
++++ facile-1.1/src/fcl_data.mli	2012-06-10 21:06:25.841590828 +0100
+@@ -23,7 +23,7 @@
+ 
+ module Hashtbl : sig
+   type ('a, 'b) t
+-  val create : int -> ('a, 'b) t
++  val create : ?random:bool -> int -> ('a, 'b) t
+   val get : ('a, 'b) t -> ('a, 'b) Hashtbl.t
+   val add : ('a, 'b) t -> 'a -> 'b -> unit
+   val find : ('a, 'b) t -> 'a -> 'b

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2012-09-07 16:45:50 UTC (rev 166400)
+++ extra-x86_64/PKGBUILD	2012-09-07 16:46:16 UTC (rev 166401)
@@ -1,23 +0,0 @@
-# $Id$
-# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
-
-pkgname=facile
-pkgver=1.1
-pkgrel=13
-pkgdesc="A Functional Constraint Library"
-arch=(i686 x86_64)
-url="http://www.recherche.enac.fr/opti/facile/"
-license="LGPL"
-makedepends=('ocaml')
-depends=()
-source=(http://www.recherche.enac.fr/opti/facile/distrib/$pkgname-$pkgver.tar.gz)
-md5sums=('ab673e1fc0859a42bcb639a02c2d7e9e')
-
-build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure
-  make || return 1
-  mkdir -p $startdir/pkg/usr/lib/ocaml/facile
-  cd src
-  install -D -m 644 facile.cmxa facile.cmi facile.cma facile.a $startdir/pkg/usr/lib/ocaml/facile
-}

Copied: facile/repos/extra-x86_64/PKGBUILD (from rev 166400, facile/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2012-09-07 16:46:16 UTC (rev 166401)
@@ -0,0 +1,29 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=facile
+pkgver=1.1
+pkgrel=14
+pkgdesc="A Functional Constraint Library"
+arch=(i686 x86_64)
+url="http://www.recherche.enac.fr/opti/facile/"
+license="LGPL"
+makedepends=('ocaml')
+depends=()
+source=(http://www.recherche.enac.fr/opti/facile/distrib/$pkgname-$pkgver.tar.gz
+        ocaml-facile-ocaml-4.patch)
+
+md5sums=('ab673e1fc0859a42bcb639a02c2d7e9e')
+
+build() {
+  cd $startdir/src/$pkgname-$pkgver
+  # fix ocaml4
+  patch -Np1 -i ../ocaml-facile-ocaml-4.patch
+  ./configure
+  make || return 1
+  mkdir -p $startdir/pkg/usr/lib/ocaml/facile
+  cd src
+  install -D -m 644 facile.cmxa facile.cmi facile.cma facile.a $startdir/pkg/usr/lib/ocaml/facile
+}
+md5sums=('ab673e1fc0859a42bcb639a02c2d7e9e'
+         '1ffc2f08c9f1db8ef0d444ec06f82b79')

Copied: facile/repos/extra-x86_64/ocaml-facile-ocaml-4.patch (from rev 166400, facile/trunk/ocaml-facile-ocaml-4.patch)
===================================================================
--- extra-x86_64/ocaml-facile-ocaml-4.patch	                        (rev 0)
+++ extra-x86_64/ocaml-facile-ocaml-4.patch	2012-09-07 16:46:16 UTC (rev 166401)
@@ -0,0 +1,25 @@
+diff -ur facile-1.1.old/src/facile.mli facile-1.1/src/facile.mli
+--- facile-1.1.old/src/facile.mli	2004-09-08 10:51:02.000000000 +0100
++++ facile-1.1/src/facile.mli	2012-06-10 21:06:41.553916954 +0100
+@@ -127,7 +127,7 @@
+       module Hashtbl :
+ 	  sig
+ 	    type ('a, 'b) t
+-	    val create : int -> ('a, 'b) t
++	    val create : ?random:bool -> int -> ('a, 'b) t
+ 	    val get : ('a, 'b) t -> ('a, 'b) Hashtbl.t
+ 	    val add : ('a, 'b) t -> 'a -> 'b -> unit
+ 	    val find : ('a, 'b) t -> 'a -> 'b
+Binary files facile-1.1.old/src/fcl_data.cmi and facile-1.1/src/fcl_data.cmi differ
+diff -ur facile-1.1.old/src/fcl_data.mli facile-1.1/src/fcl_data.mli
+--- facile-1.1.old/src/fcl_data.mli	2004-09-08 10:51:02.000000000 +0100
++++ facile-1.1/src/fcl_data.mli	2012-06-10 21:06:25.841590828 +0100
+@@ -23,7 +23,7 @@
+ 
+ module Hashtbl : sig
+   type ('a, 'b) t
+-  val create : int -> ('a, 'b) t
++  val create : ?random:bool -> int -> ('a, 'b) t
+   val get : ('a, 'b) t -> ('a, 'b) Hashtbl.t
+   val add : ('a, 'b) t -> 'a -> 'b -> unit
+   val find : ('a, 'b) t -> 'a -> 'b




More information about the arch-commits mailing list